> For the complete documentation index, see [llms.txt](https://docs.brutalscripts.com/site/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.brutalscripts.com/site/scripts/gangs/exports-triggers.md).

# exports / triggers

## Client Exports

<table><thead><tr><th width="386" align="center">Export</th><th align="center">Result</th></tr></thead><tbody><tr><td align="center">exports.brutal_gangs:isPlayerInGangJob()</td><td align="center">Returns if the player is in a gang or not.</td></tr><tr><td align="center">exports.brutal_gangs:playerGangRank()</td><td align="center">Returs the rank of the player in their current gang. If they are not in any gang it will return false.</td></tr></tbody></table>

## Server Exports

<table><thead><tr><th width="452" align="center">Export</th><th align="center">Result</th></tr></thead><tbody><tr><td align="center">exports['brutal_gangs']:AddGangReputation(job, amount)</td><td align="center">Increases the specified gang's (job) reputation by the given amount.</td></tr><tr><td align="center">exports['brutal_gangs']:AddGangMoney(job, amount)</td><td align="center">Increases the specified gang's (job) money by the given amount.</td></tr><tr><td align="center">exports['brutal_gangs']:GetGangReputation(job)</td><td align="center">Retrieves the current reputation value of the specified gang (job).</td></tr><tr><td align="center">exports['brutal_gangs']:GetGangMoney(job)</td><td align="center">Retrieves the current amount of money the specified gang (job) has.</td></tr><tr><td align="center">exports['brutal_gangs']:RemoveGangReputation(job, amount)</td><td align="center">Decreases the specified gang's (job) reputation by the given amount.</td></tr><tr><td align="center">exports['brutal_gangs']:RemoveGangMoney(job, amount)</td><td align="center">Decreases the specified gang's (job) money by the given amount.</td></tr><tr><td align="center">exports['brutal_gangs']:GetGangOnlineMember(job)</td><td align="center">Retrieves the number of online members in the specified gang (job).</td></tr><tr><td align="center">exports['brutal_gangs']:GetGangActiveTask(job)</td><td align="center">Returns true or false</td></tr><tr><td align="center">exports['brutal_gangs']:GetGangActiveTaskName(job)</td><td align="center">Returns the name of the task if anything is even started</td></tr><tr><td align="center">exports["brutal_gangs"]:GetPlayerGangName(playerid)</td><td align="center">Returns the gang/job name of the specified player if they are in one of the gangs registered in brutal_gangs.</td></tr><tr><td align="center">exports["brutal_gangs"]:GetGangs()</td><td align="center">Returns the full table of all gangs/jobs registered in brutal_gangs, including their names, labels, grades, and other data.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.brutalscripts.com/site/scripts/gangs/exports-triggers.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
